Panda3D

Loading...
Searching...
No Matches
Functions | Variables
config_putil.h File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "pandabase.h"`
`#include "notifyCategoryProxy.h"`
`#include "configVariableBool.h"`
`#include "configVariableSearchPath.h"`
`#include "configVariableEnum.h"`
`#include "configVariableDouble.h"`
`#include "configVariableInt.h"`
`#include "bamEnums.h"`
`#include "dconfig.h"`

Go to the source code of this file.

## Functions
| ConfigureDecl (config_putil, EXPCL_PANDA_PUTIL, EXPTP_PANDA_PUTIL)
BEGIN_PUBLISH EXPCL_PANDA_PUTIL ConfigVariableSearchPath & | get_model_path ()
EXPCL_PANDA_PUTIL ConfigVariableSearchPath & | get_plugin_path ()
EXPCL_PANDA_PUTIL void | init_libputil ()
| Initializes the library.
| NotifyCategoryDecl (bam, EXPCL_PANDA_PUTIL, EXPTP_PANDA_PUTIL)
| NotifyCategoryDecl (util, EXPCL_PANDA_PUTIL, EXPTP_PANDA_PUTIL)

## Variables
EXPCL_PANDA_PUTIL ConfigVariableEnum< BamEnums::BamEndian > | bam_endian
EXPCL_PANDA_PUTIL ConfigVariableBool | bam_stdfloat_double
EXPCL_PANDA_PUTIL ConfigVariableEnum< BamEnums::BamTextureMode > | bam_texture_mode
EXPCL_PANDA_PUTIL ConfigVariableInt | bam_version
EXPCL_PANDA_PUTIL ConfigVariableBool | cache_check_timestamps
EXPCL_PANDA_PUTIL ConfigVariableBool | compressed_textures
EXPCL_PANDA_PUTIL ConfigVariableBool | preload_simple_textures
EXPCL_PANDA_PUTIL ConfigVariableBool | preload_textures
END_PUBLISH ConfigVariableDouble | sleep_precision

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  cary

Date
  2000-01-04

Definition in file config_putil.h.

## Function Documentation

## ◆ get_model_path()

BEGIN_PUBLISH EXPCL_PANDA_PUTIL ConfigVariableSearchPath & get_model_path | ( |  | ) |

Definition at line 106 of file config_putil.cxx.

## ◆ get_plugin_path()

EXPCL_PANDA_PUTIL ConfigVariableSearchPath & get_plugin_path | ( |  | ) |

Definition at line 119 of file config_putil.cxx.

## ◆ init_libputil()

EXPCL_PANDA_PUTIL void init_libputil | ( |  | ) |
| extern

Initializes the library.

This must be called at least once before any of the functions or classes in this library can be used. Normally it will be called by the static initializers and need not be called explicitly, but special cases exist.

Definition at line 185 of file config_putil.cxx.

References GamepadButton::init_gamepad_buttons(), KeyboardButton::init_keyboard_buttons(), MouseButton::init_mouse_buttons(), TypedObject::init_type(), BamCacheIndex::register_with_read_factory(), BamCacheRecord::register_with_read_factory(), ParamValue< LMatrix3d >::register_with_read_factory(), ParamValue< LMatrix3f >::register_with_read_factory(), ParamValue< LMatrix4d >::register_with_read_factory(), ParamValue< LMatrix4f >::register_with_read_factory(), ParamValue< LVecBase2d >::register_with_read_factory(), ParamValue< LVecBase2f >::register_with_read_factory(), ParamValue< LVecBase2i >::register_with_read_factory(), ParamValue< LVecBase3d >::register_with_read_factory(), ParamValue< LVecBase3f >::register_with_read_factory(), ParamValue< LVecBase3i >::register_with_read_factory(), ParamValue< LVecBase4d >::register_with_read_factory(), ParamValue< LVecBase4f >::register_with_read_factory(), ParamValue< LVecBase4i >::register_with_read_factory(), ParamValue< std::string >::register_with_read_factory(), and ParamValue< std::wstring >::register_with_read_factory().